/**
 * The youtube dialog definition.
 *
 * Created out of the CKEditor Plugin SDK:
 * http://docs.ckeditor.com/#!/guide/plugin_sdk_sample_1
 */

// Our dialog definition.
CKEDITOR.dialog.add( 'youtubeDialog', function( editor ) {
	return {
		
		// Basic properties of the dialog window: title, minimum size.
		title: 'Youtube Video',
		minWidth: 400,
		minHeight: 200,

		// Dialog window contents definition.
		contents: [
			{
				// Definition of the Basic Settings dialog tab (page).
				id: 'tab-basic',
				label: 'Basic Settings',

				// The tab contents.
				elements: [
					{
						type : 'html',
						id : 'intro',
						html : '<img src="editors/ckeditor/plugins/youtube/youtube_large.png"><br />Kopieer <b>alleen</b> het video <strong>id</strong> van de Youtube video, deze kan worden gevonden in<br />de URL van de video, EX. http://www.youtube.com/watch?v=<strong>Hs0QPBUjXv4</strong><br />'
					},
					{
						// Text input field for the abbreviation text.
						type: 'text',
						id: 'id',
						label: 'Youtube id:',
						width: '150px',
						// Validation checking whether the field is not empty.
						validate: CKEDITOR.dialog.validate.notEmpty( "Youtube id cannot be empty" )
					}
				]
			}
		],

		// This method is invoked once a user clicks the OK button, confirming the dialog.
		onOk: function() {

			// The context of this function is the dialog object itself.
			// http://docs.ckeditor.com/#!/api/CKEDITOR.dialog
			var dialog = this;

			var id = dialog.getValueOf( 'tab-basic', 'id' );

			var html='<iframe title="YouTube video player" class="youtube-player" width="560" height="315" src="http://www.youtube.com/embed/'
			+ id
			+'?rel=0" frameborder="0"></iframe>';


			// Finally, inserts the html at the editor caret position.
			editor.insertHtml(html)
		}
	};
});